Bug 14649 - ppptp & pppoe with equals logins
: ppptp & pppoe with equals logins
Status: CLOSED FIXED
: Branch 4.0
(All bugs in Branch 4.0/alterator-net-pptp)
: 4.0
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-02-25 21:46 by
Modified: 2008-03-06 23:55 (History)


Attachments
lspci (15.15 KB, text/plain)
2008-02-29 18:14, Yurkovsky Andrey
no flags Details
alterator-ppp: don't use global chap-secrets (4.04 KB, patch)
2008-03-02 21:20, Konstantin Uvarin (lodin)
no flags Details | Diff
net-pptp patch (1.71 KB, patch)
2008-03-02 23:12, Konstantin Uvarin (lodin)
no flags Details | Diff
pppoe-net patch (1.71 KB, patch)
2008-03-02 23:22, Konstantin Uvarin (lodin)
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-02-25 21:46:54
При поптыке созадть 2 соединения pptp и pppoe от разных провайдеров с разными 
паролями, но одинаковыми логинами alterator ругается на то, что такой логин уже 
используется.
------- Comment #1 From 2008-02-26 23:35:24 -------
move/reassign

Похоже, придётся спрашивать или генерировать имя соединения...
------- Comment #2 From 2008-02-29 18:14:27 -------
Created an attachment (id=2462) [details]
lspci

root: lspci -vvnn
------- Comment #3 From 2008-03-01 23:29:20 -------
У меня была такая же проблема, и даже, с одинаковыми паролями. 

Решил путем вписывания паролей в /etc/net/ifaces/*/pppoptions

Может, так и надо делать штатным способом?.. В смысле, если альтератор будет 
хранить пароли в настройках интерфейса, то одинаковость логина его волновать не 
должна. 
------- Comment #4 From 2008-03-02 21:20:56 -------
Created an attachment (id=2467) [details]
alterator-ppp: don't use global chap-secrets

Воплотил идею с сугубо локальным логином/паролем. Проверено на
работоспособность с pptp, для pppoe ещё нет. 

Привернут chmod o-rw для файлов pppoptions, т.к. пароль в незашифрованном виде
лежит, нехорошо. 

все упоминания глобального chap-secrets закомментированы. 

Забавно, что патч от пптп (написанный первоначально) подошел к пппое. Слишком
много общего... 

bash$ patch -p1< aletrator-pppoe.patch
patching file backend3/net-pppoe
Hunk #2 succeeded at 79 (offset -7 lines).
Hunk #3 succeeded at 95 (offset -7 lines).
Hunk #4 succeeded at 108 with fuzz 2 (offset -6 lines).
Hunk #5 succeeded at 126 (offset -6 lines).

Попутно обратил внимание на ещё одну вещь: при удалении интерфейса он
останавливается не совсем корректно. 

Вместо 
	rm -rf "$name"
	ifdown "$1"
должно быть 
	ifdown "$1"
	rm -rf "$name"
, т.к. иначе скрипты ifdown-pre и ifdown-post не будут выполнены. А там,
теоретически, может быть что-нибудь полезное. 
------- Comment #5 From 2008-03-02 22:55:05 -------
(In reply to comment #4)
> alterator-ppp: don't use global chap-secrets
> Воплотил идею с сугубо локальным логином/паролем. Проверено на
> работоспособность с pptp, для pppoe ещё нет. 

Ой, так оно так работает?  Я уже думал городить имя соединения...

> Привернут chmod o-rw для файлов pppoptions, т.к. пароль в незашифрованном виде
> лежит, нехорошо. 

Резонно.  На chap-secrets права пакетом лимитируются, а pppoptions сами делаем.

> все упоминания глобального chap-secrets закомментированы. 
Да убрать можно было. :)

> Забавно, что патч от пптп (написанный первоначально) подошел к пппое. Слишком
> много общего... 
Тут два момента: чуть удобней, когда патчи повешены отдельно; ну и если хотите,
давайте дружно выделим общий кусок в alterator-net-ppp-common.  Там ещё много
чего можно добавить, см. https://bugzilla.altlinux.org/show_bug.cgi?id=11988

> Попутно обратил внимание на ещё одну вещь: при удалении интерфейса он
> останавливается не совсем корректно. 
Логично.  Мож допатчите заодно, чтоб одним махом и принять? :)
------- Comment #6 From 2008-03-02 23:12:40 -------
Created an attachment (id=2468) [details]
net-pptp patch

* password stored in pppoptions, chap-secrets not used
* ifdown before deleting interface
------- Comment #7 From 2008-03-02 23:22:32 -------
Created an attachment (id=2469) [details]
pppoe-net patch
------- Comment #8 From 2008-03-03 00:13:40 -------
(In reply to comment #6)
> net-pptp patch
> * password stored in pppoptions, chap-secrets not used
Принято.

> * ifdown before deleting interface
А это уже было сделано, оказывается -- интересно, от какой версии был тот патч...
(в бранче сейчас 0.5.3; при правках лучше таскать сразу из git, если надо помочь
разобраться -- пишите, чем смогу).

=> fixed in 0.5.4-alt1
------- Comment #9 From 2008-03-03 00:24:31 -------
0.5.5 уже на http://fly.osdn.org.ua/~mike/packages/alterator-net-pptp/
(отправлено в сизиф, будет и в бранче)
------- Comment #10 From 2008-03-04 07:46:42 -------
thnx